/* Styles specific to Alphabet Balloons game */

.game-area {
    position: relative; /* Needed for absolute positioning of letters */
    flex-grow: 1;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.alphabet-balloons-game .game-area {
    background-image: url('../assets/images/alphabet-balloons/alphabet-background.png');
}

/* Balloon specific styles */
.balloon {
    position: absolute; bottom: -100px; width: 80px; height: 100px;
    border-radius: 50% 50% 50% 50% / 60% 60% 40% 40%;
    display: flex; justify-content: center; align-items: center;
    font-size: 2.5em; font-weight: 600; color: #fff; cursor: pointer;
    box-shadow: inset -7px -7px 15px rgba(0,0,0,0.4), 7px 7px 15px rgba(0,0,0,0.4);
    z-index: 1; transition: transform linear;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}
.balloon.red { background-color: #e74c3c; } 
.balloon.blue { background-color: #3498db; }
.balloon.green { background-color: #2ecc71; }
.balloon.purple { background-color: #9b59b6; } 
.balloon.yellow { background-color: #f1c40f; }
.balloon::after {
    content: ''; position: absolute; bottom: -15px; left: 50%;
    transform: translateX(-50%); width: 0; height: 0;
    border-left: 8px solid transparent; border-right: 8px solid transparent;
    border-top: 15px solid; border-radius: 50%;
}
.balloon.red::after { border-top-color: #e74c3c; } 
.balloon.blue::after { border-top-color: #3498db; }
.balloon.green::after { border-top-color: #2ecc71; }
.balloon.purple::after { border-top-color: #9b59b6; } 
.balloon.yellow::after { border-top-color: #f1c40f; }

/* Responsiveness specific to Alphabet Balloons */
@media (max-width: 1024px) {
    .balloon { width: 60px; height: 75px; font-size: 2em; }
}
@media (max-width: 480px) {
    .balloon { width: 50px; height: 65px; font-size: 1.8em; }
}
